# ChainedRunnablePart

abstract class ChainedRunnablePart<T, R>(sync: Boolean)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
execute
Link copied to clipboard
abstract fun execute()
Content copied to clipboard
executeCatching
Link copied to clipboard
abstract fun <E : Exception> executeCatching(exceptionClass: KClass<E>, exceptionHandler: (E) -> Unit?)
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

next
Link copied to clipboard
var next: ChainedRunnablePart<R, *>?
Content copied to clipboard
sync
Link copied to clipboard
val sync: Boolean
Content copied to clipboard

## Inheritors

ChainedRunnablePartFirst
Link copied to clipboard
ChainedRunnablePartThen
Link copied to clipboard

## Extensions

thenAsync
Link copied to clipboard
fun <T, R, U> ChainedRunnablePart<T, R>.thenAsync(runnable: (R) -> U): ChainedRunnablePartThen<R, U>
Content copied to clipboard
thenDo
Link copied to clipboard
fun <T, R, U> ChainedRunnablePart<T, R>.thenDo(sync: Boolean, runnable: (R) -> U): ChainedRunnablePartThen<R, U>
Content copied to clipboard
thenSync
Link copied to clipboard
fun <T, R, U> ChainedRunnablePart<T, R>.thenSync(runnable: (R) -> U): ChainedRunnablePartThen<R, U>
Content copied to clipboard